<dx-form [colCount]="1" [formData]='edit.model' [showValidationSummary]="false" validationGroup="editValidation"
  labelLocation="left" labelLocation="left">

  <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
    <dxi-item [label]="{text: 'Nr.'}" dataField="t_no" editorType="dxTextBox" [editorOptions]="{}">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item [label]="{text: 'Dată'}" dataField="t_sendDate" editorType="dxDateBox" [editorOptions]="{ displayFormat: 'dd.MM.yyyy', width: '100%' }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item [label]="{text: 'Entitate'}" dataField="wc_parentId" editorType="dxSelectBox" [editorOptions]="{ dataSource: dsEntity, valueExpr: 'id', displayExpr: 'name', searchEnabled: true, onValueChanged: onEntityChange}">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item [label]="{text: 'Punct de lucru'}" dataField="t_workCenterId" editorType="dxSelectBox" [editorOptions]="{ dataSource: dsWorkCenter, valueExpr: 'id', displayExpr: 'name', searchEnabled: true, onInitialized: onWorkCenterInit, onValueChanged: onWorkCenterChange, disabled: wcDisable}">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
  </dxi-item>

  <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
    <dxi-item [label]="{text: 'Număr vehicul'}" dataField="t_carNumber" editorType="dxTextBox" [editorOptions]="{ }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item [label]="{text: 'Mijlocul de transport'}" dataField="t_transportTypeId" editorType="dxSelectBox"
      [editorOptions]="{ dataSource: dsTransportTypes, valueExpr: 'id', displayExpr: ds.enumDisplay }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
  </dxi-item>

  <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
    <dxi-item [label]="{text: 'Nume șofer'}" dataField="t_driverName" editorType="dxTextBox" [editorOptions]="{ }">
    </dxi-item>
    <dxi-item [label]="{text: 'CNP șofer'}" dataField="t_driverId" editorType="dxTextBox" [editorOptions]="{ }">
    </dxi-item>
  </dxi-item>

  <dxi-item itemType='group'>
    <dxi-item [label]="{text: 'Acțiuni'}">
      <div *dxTemplate='let data of "template"'>
        <dx-drop-down-box [(value)]='edit.model.selectedActions' displayExpr='text' valueExpr='id' [dataSource]='edit.transportActions'
          placeholder='Selectează...'>
          <div *dxTemplate='let actions of "content"'>
            <dx-list [dataSource]="edit.transportActions" selectionMode="multiple" [showSelectionControls]='true'
              keyExpr='id' [(selectedItemKeys)]='edit.model.selectedActions'>
            </dx-list>
          </div>
          <dx-validator validationGroup="customTValidation">
            <dxi-validation-rule type="required"></dxi-validation-rule>
          </dx-validator>
        </dx-drop-down-box>
      </div>
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
  </dxi-item>

  <dxi-item itemType='group'>
    <dxi-item [label]="{text: 'Transportator'}" [helpText]='transHelpText' [editorOptions]="{  }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <div *dxTemplate='let data of "template"'>
        <dx-select-box [dataSource]='dsValidTransports' valueExpr='id' displayExpr='name' [(value)]='edit.model.t_transporterId'
          (onInitialized)='onTransporterInitEv($event)' [searchEnabled]='true' fieldTemplate="inputField">
          <div *dxTemplate='let data of "inputField"'>
            <dx-text-box [text]='data ? data.name : null' placeholder='Selectează...' [elementAttr]='{ class: "custom-text-box"}'></dx-text-box>
            <dx-button icon='plus' (onClick)='openPartyAddEv($event, 0)' [elementAttr]='{ class: "custom-add"}'></dx-button>
          </div>
          <dx-validator validationGroup="customTValidation">
            <dxi-validation-rule type="required"></dxi-validation-rule>
          </dx-validator>
        </dx-select-box>
      </div>
    </dxi-item>
  </dxi-item>

  <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
    <dxi-item [label]="{text: 'Destinatar'}" [editorOptions]="{ dataSource: dsValidDest, valueExpr: 'id', displayExpr: 'name', onInitialized: onDestinationInit }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
      <div *dxTemplate='let data of "template"'>
        <dx-select-box [dataSource]='dsValidDest' valueExpr='id' displayExpr='name' [(value)]='edit.model.t_recipientId'
          (onInitialized)='onDestinationInitEv($event)' [searchEnabled]='true' fieldTemplate="inputField">
          <div *dxTemplate='let data of "inputField"'>
            <dx-text-box [text]='data ? data.name : null' placeholder='Selectează...' [elementAttr]='{ class: "custom-text-box"}'></dx-text-box>
            <dx-button icon='plus' (onClick)='openPartyAddEv($event, 1)' [elementAttr]='{ class: "custom-add"}'></dx-button>
          </div>
          <dx-validator validationGroup="customTValidation">
            <dxi-validation-rule type="required"></dxi-validation-rule>
          </dx-validator>
        </dx-select-box>
      </div>
    </dxi-item>
    <dxi-item [label]="{text: 'Destinația'}" dataField="t_destinationTypeId" editorType="dxSelectBox" [editorOptions]="{ dataSource: dsDestinationTypes, valueExpr: 'id', displayExpr: ds.enumDisplay }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
  </dxi-item>
  <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
    <dxi-item [label]="{text: 'Cod deșeu'}" [helpText]='wasteCodeHelpText' dataField="t_wasteTypeId" editorType="dxSelectBox"
      [editorOptions]="{ dataSource:  dsWasteType, valueExpr: 'id', displayExpr: 'code', onValueChanged: onWasteChange, onInitialized: onWasteCodeInit, searchEnabled: true, disabled: wtDisable }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item [label]="{text: 'Cantitate (' + (edit.model.wt_uom === 0 ? 'mc' : 'tone') + ')' }" dataField="t_quantity"
      editorType="dxNumberBox" [editorOptions]="{}">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
  </dxi-item>
  <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
    <dxi-item [label]="{text: 'Tip deșeu'}" dataField="wt_hazard" editorType="dxTextBox" [editorOptions]="{readOnly: true }">
    </dxi-item>
    <dxi-item [label]="{text: 'Cântărire'}" dataField="t_weighing" editorType="dxSelectBox" [editorOptions]="{ dataSource: ds.weighing, valueExpr: 'id', displayExpr: 'value' }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
  </dxi-item>

  <dxi-item [label]="{text: 'Descriere deșeu'}" dataField="wt_name" editorType="dxTextBox" [editorOptions]="{readOnly: true }">
  </dxi-item>
</dx-form>